Adobe Releases Acrobat, Reader 9.2, Addresses Security Concerns

Posted by:
Date: Wednesday, October 14th, 2009, 05:49
Category: Software

readerlogo

Last Friday, Adobe released version 9.2 of Acrobat and Acrobat Reader, the company’s Portable Document Format reader and creation utility.

Adobe Systems has updated Acrobat and Reader to version 9.2. Both updates are available through the Adobe Updater application or for download through Adobe’s Web site.

The new versions of Acrobat and Reader both address “critical security vulnerabilities while providing more stability,” according to Adobe’s documentation.

Both Adobe Reader 9.2 and Adobe Acrobat 9.2 require Mac OS X 10.4 or later to install and run.

Recent Posts

One Response to “Adobe Releases Acrobat, Reader 9.2, Addresses Security Concerns”

  1. Recently confirmed that Acrobat Reader v.8 and v.9.2 are NOT reliable pdf readers. The solution is to remove all traces of these versions from your pc (a free version of CCleaner v.2.27.0.1070 from Downloads.com did all of that very well) then locate, upload and install Acrobat Reader v.7.1
    This version still works very well.

    Best wishes to all in this year